package com.liquidnet.service.adam.dto.admin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel(value = "AdamMemberBuildParam", description = "编辑会员入参")
@Data
public class AdamMemberBuildParam implements Serializable {
    private static final long serialVersionUID = -7411934614249221021L;
    @ApiModelProperty(required = false, value = "会员ID[64]")
    private String memberId;
    @ApiModelProperty(required = false, value = "会员名称[80]", example = "摩登天空会员卡")
    private String name;
    @ApiModelProperty(required = true, value = "会员标题[100]", example = "摩登天空会员卡")
    private String title;
    @ApiModelProperty(required = true, value = "会员副标题[255]", example = "摩登天空会员卡副标题")
    private String subTitle;
    @ApiModelProperty(required = true, value = "icon图标[255]", example = "https://img.zhengzai.tv/files/2020/08/28/5f490418d30b4.png")
    private String icon;
    @ApiModelProperty(required = true, value = "会员头像[255]", example = "https://img.zhengzai.tv/files/2020/08/31/5f4c75095e9bc.png")
    private String avatar;
    @ApiModelProperty(required = true, value = "权益详情[200]", example = "加入摩登天空会员您可享受到.....")
    private String interestsDetail;
    @ApiModelProperty(required = true, value = "注意事项[200]", example = "摩登天空会员需注意以下事项.....")
    private String notes;
    @ApiModelProperty(required = true, value = "限购数量，0不限购[200]", example = "0")
    private Integer limitation;
    @ApiModelProperty(required = false, value = "限购开始时间[yyyy-MM-dd]", example = "2021-08-24")
    private LocalDateTime limitStart;
    @ApiModelProperty(required = false, value = "限购结束时间[yyyy-MM-dd]", example = "2021-09-24")
    private LocalDateTime limitEnd;
    @ApiModelProperty(required = true, value = "是否开售:1-开售｜2-停售", example = "2021-09-24")
    private Integer onsale;
}
